Subject: bug#69738: Followup

From: Eli Zaretskii <[email-masked]>
Date: Sun, 14 Apr 2024 19:30:06 +0300

> Date: Sun, 14 Apr 2024 16:14:20 +0000
> From: [email-masked]
> Cc: [email-masked]
> 
> Why not just remove the condition of (display-multi-frame-p)? It's 
> neater, and I can't see any drawbacks compared to your patch (but the 
> fact that your code insists on switching to other before deleting the 
> frame makes me think there must be some reason...?)

Yes, I have my reasons: I'd like to make sure we switch to the exact
frame the user wants -- the one showing the Rmail buffer.  Unlike on
GUI displays, only a single frame is shown on a TTY, so if we
accidentally switch to the wrong frame, the user will not see the
frame they need, something that does happen on GUI terminals.

Does the patch as I sent it work for you?  If not, please tell what
doesn't work.